Bug 443942 - collectd configuration file problems
collectd configuration file problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 04:47 EDT by Richard W.M. Jones
Modified: 2008-07-26 02:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.3.3-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 22:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add Include to src/collectd.conf.in (203 bytes, patch)
2008-05-06 16:37 EDT, Richard Shade
no flags Details | Diff

  None (edit)
Description Richard W.M. Jones 2008-04-24 04:47:26 EDT
(From Richard Shade at Rightscale.com)

One line 126 you use the collectd.conf in src/,  at present I don't think
this will work, there is no "Include "/etc/collectd.d"" in that file so all
subpackages will not work. Also I think the collectd.conf will have the
problem of every config option having /usr/ in front of it. The config in
contrib/redhat/ addresses the problem, but we may want to create a patch for
src/collectd.conf.in.
Comment 1 Richard Shade 2008-05-06 16:37:51 EDT
Created attachment 304687 [details]
patch to add Include to src/collectd.conf.in
Comment 2 Alan Pevec 2008-05-06 17:37:31 EDT
Also need to exclude plugin configs from the main package for those packaged as
subpackages:
--- collectd.spec.orig  2008-05-06 23:33:06.000000000 +0200
+++ collectd.spec       2008-05-06 23:36:04.000000000 +0200
@@ -180,6 +180,12 @@
 
 %config(noreplace) %{_sysconfdir}/collectd.conf
 %config(noreplace) %{_sysconfdir}/collectd.d/
+%exclude %{_sysconfdir}/collectd.d/apache.conf
+%exclude %{_sysconfdir}/collectd.d/email.conf
+%exclude %{_sysconfdir}/collectd.d/mysql.conf
+%exclude %{_sysconfdir}/collectd.d/nginx.conf
+%exclude %{_sysconfdir}/collectd.d/sensors.conf
+%exclude %{_sysconfdir}/collectd.d/snmp.conf
 
 %{_initrddir}/collectd
 %{_bindir}/collectd-nagios
Comment 3 Bug Zapper 2008-05-14 06:03:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard W.M. Jones 2008-05-27 06:09:17 EDT
They're at it again ... Changing this back to Rawhide.
Comment 5 Fedora Update System 2008-06-12 06:17:01 EDT
collectd-4.3.3-2.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-12 22:22:41 EDT
collectd-4.3.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-07-26 02:08:20 EDT
collectd-4.3.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.